Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class PptxZip

    java.lang.Object
      net.sf.jasperreports.engine.export.zip.AbstractZip
          net.sf.jasperreports.engine.export.zip.FileBufferedZip
              net.sf.jasperreports.engine.export.ooxml.PptxZip

    public class PptxZip

extends FileBufferedZip

Version:
  $Id: OoxmlZip.java 2976 2009-07-28 14:38:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`exportZipEntries`

Constructor Summary
`PptxZip()`

Method Summary
`ExportZipEntry` | `addSlide(int index)`
`ExportZipEntry` | `addSlideRels(int index)`
`ExportZipEntry` | `getContentTypesEntry()`
`ExportZipEntry` | `getPresentationEntry()`
`ExportZipEntry` | `getRelsEntry()`

Methods inherited from class net.sf.jasperreports.engine.export.zip.FileBufferedZip
`addEntry, createEntry`

Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`addEntry, dispose, zipEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PptxZip

    public PptxZip()
            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPresentationEntry

    public ExportZipEntry getPresentationEntry()

### getRelsEntry

    public ExportZipEntry getRelsEntry()

### getContentTypesEntry

    public ExportZipEntry getContentTypesEntry()

### addSlide

    public ExportZipEntry addSlide(int index)

### addSlideRels

    public ExportZipEntry addSlideRels(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com